import '../../marianumconnect_query.dart';
import 'timetable_get_students_response.dart';

class TimetableGetStudents extends MarianumConnectQuery {
  TimetableGetStudents({super.dio});

  Future<TimetableGetStudentsResponse> run() async =>
      TimetableGetStudentsResponse(
        result: await getList(
          'timetable/elements/students',
          McTimetableStudent.fromJson,
        ),
      );
}
